Requires read_products access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20260601/products/:product_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get the information of the specified product.
Path Parameters
  • product_id string required
    The unique identifier for the product.
    Maximum length:64
    Example: 16049619743346320200470282
Query Parameters
  • fields string
    Specify the fields to be returned, with multiple fields separated by commas. For available fields, refer to the top-level child parameters under the product object in the response.
    Example: title,id
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • productobject
    Product information.
  • body_html string
    The product description.
  • created_at string
    The date and time when the product was created. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • handle string
    The semantically unique identifier for the product, which is generated based on title by default.
    Example: product-handle
  • id string
    The unique identifier for the product.
    Example: 16057850264845250791280282
  • imageobject
    The cover image of the product.
  • alt string
    The alternative textual description of the image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • id string
    The unique identifier for the image.
    Example: 5785060242207917075
  • src string
    The link to the image, represented as a URL.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • imagesobject[]
    A list of product images.
  • alt string
    The alternative textual description of the product image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • id string
    The unique identifier for the product image.
    Example: 5785060242207917075
  • src string
    The link to the product image, represented as a URL.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • optionsobject[]
    A list of product options.
  • id string
    The unique identifier for the option.
    Example: 16158068291703878544960282
  • name string
    The name of the option.
    Example: Color
  • option_valuesobject[]
    A list of product option values.
  • id string
    The unique identifier for the option value.
    Example: 16050375155238626683133099
  • value string
    The option value.
    Example: red
  • product_id string
    The unique identifier for the product corresponding to the option.
    Example: 16057850264845250791280282
  • values array
    A list of option values.
    Example: ["[\"red\", \"green\", \"white\"]"]
  • values_images map
    The mapping relationship between the option value and the corresponding image URL.
    Example: {"red":"https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png"}
  • path string
    The relative path of the product page.
    Example: /products/clothes
  • product_behavior string
    Used to identify the special behavior of the product. This field returns a value only under certain conditions.
    For example, if the product has potential risks, the field returns a value.
    Example: RISK,HIDDEN
  • product_category string
    The product category customized by the merchant.
    Example: Electronic
  • product_type string
    The source of the product. Valid values are:
    • NORMAL : products maintained in the SHOPLINE Admin
    • POD_TEMPORARY : temporary products on the Product Option Customizer&ProductBundler app
    • TEMPORARY : other temporary products
  • published_at string
    The date and time when the product was published to the online store. Format:ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • published_scope string
    The published scope of product sales channels. The value of this field is fixed to web, indicating an online store.
  • spu string
    The identifier customized for the product by the merchant. It is distinct from product.id returned by SHOPLINE.
    Example: S00000001
  • status string
    The status of the product. Valid values are:
    • active: products on shelves
    • draft: products off shelves
    • archived: products archiving
  • subtitle string
    The subtitle of the product.
    Example: This is a subtitle
  • tags string
    A list of tags of the product.
    Example: tag1, tag2
  • template_path string
    The theme template of the product.
    Example: templates/product.product_template_name.json
  • title string
    The title of the product.
    Example: This is a Product title
  • updated_at string
    The date and time when the product was last updated. Format: ISO 8601.
    Example: 2025-03-06T02:20:26+08:00
  • variantsobject[]
    A list of product variants.
  • barcode string
    The barcode of the variant.
    Example: T00000001
  • compare_at_price string
    The original price of the variant. The value is rounded to two decimal places.
    Example: 129.99
  • id string
    The unique identifier for the variant.
    Example: 18057039439794751459380282
  • imageobject
    The image of the variant.
  • alt string
    The alternative textual description of the variant image, usually a word or phrase with the characteristics or content of the image.
    Example: This is an image alt.
  • id string
    The unique identifier for the variant image.
    Example: 5785060242207917075
  • src string
    The link to the variant image, represented as a URL.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • inventory_item_id string
    The unique identifier for the inventory item.
    Example: 59854602422372317075
  • inventory_policy string
    Indicates whether the variant is allowed to be oversold.
    • deny: Does not allow overselling.
    • continue: Allow overselling.
  • inventory_quantity integer
    The total inventory quantity at all storage locations.
    Example: 99
  • inventory_tracker boolean
    Indicates whether the inventory tracking is enabled.
    • true: Inventory tracking is enabled.
    • false: Inventory tracking is not enabled.
  • option1 string
    Information of the first option of the variant.
    Example: red
  • option2 string
    Information of the second option of the variant.
    Example: xl
  • option3 string
    Information of the third option of the variant.
    Example: cotton
  • option4 string
    Information of the fourth option of the variant.
    Example: short
  • option5 string
    Information of the fifth option of the variant.
    Example: casual
  • price string
    The selling price of the variant. The value is rounded to two decimal places.
    Example: 90.22
  • product_id string
    The unique identifier for the product corresponding to the variant.
    Example: 16057039432335097907370282
  • require_shipping boolean
    Indicates whether the variant is required to be shipped.
    • true: Shipping is required.
    • false: Shipping is not required.
  • sku string
    The product SKU. It is distinct from variant.id returned by SHOPLINE.
    Example: S00000001
  • taxable boolean
    Indicates whether the variant is subject to tax.
    • true: Tax is required.
    • false: Tax is not required.
  • title string
    The title of the variant, assembled from the option value of the variant.
    Example: red · xl
  • weight string
    The weight of the variant. The value is rounded up if it exceeds two decimal places.
    Example: 0.23
  • weight_unit string
    The unit of weight for the variant. Valid values are:
    • g: gram
    • kg: kilogram
    • lb: pound
    • oz: ounce
    • zh_kg: kilogram
  • vendor string
    The brand or vendor of the product.
    Example: SHOPLINE
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260601

ParamOptions

path required
header required
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260601/products/product_id.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Get all the information about a product
Response
{
"product": {
"body_html": "<p>Thisisadesription</p>",
"created_at": "2023-08-29T14:59:58+08:00",
"handle": "my-product-23-1",
"id": "16060895302856191591063144",
"image": {
"alt": "Thisisaimagealt",
"id": "6089530275430875206",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
"images": [
{
"alt": "Thisisaimagealt",
"id": "6089530275430875206",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"alt": "This is a image alt",
"id": "6089563432963689533",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
}
],
"options": [
{
"id": "16160895302863070249763144",
"name": "Size",
"product_id": "16060895302856191591063144",
"values": [
"L",
"S",
"XL",
"XXL"
],
"values_images": {}
},
{
"id": "16160895302863070249793144",
"name": "Color",
"product_id": "16060895302856191591063144",
"values": [
"White"
],
"values_images": {}
}
],
"product_behavior": "",
"product_category": "Clothes",
"product_type": "NORMAL",
"published_at": "2023-08-29T14:59:58+08:00",
"published_scope": "web",
"spu": "S000000001",
"status": "active",
"subtitle": "Thisisasubtitle",
"tags": "Spring,Tshirt",
"title": "MyProduct25",
"updated_at": "2023-08-29T14:59:59+08:00",
"variants": [
{
"barcode": "T0000001",
"compare_at_price": "99.00",
"id": "18060895302863070249743144",
"image": {
"alt": "my image alt",
"id": "6089530275430875206",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
"inventory_item_id": "6089530288991379429",
"inventory_policy": "deny",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "L",
"option2": "White",
"price": "90.00",
"product_id": "16060895302856191591063144",
"require_shipping": true,
"sku": "S0000001",
"taxable": true,
"title": "L · White",
"weight": "0.20",
"weight_unit": "kg"
},
{
"barcode": "T0000001",
"compare_at_price": "99.00",
"id": "18060895634402500988513144",
"image": {
"alt": "This is a image alt",
"id": "6089563432963689533",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
"inventory_item_id": "6089563439612587791",
"inventory_policy": "continue",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "S",
"option2": "White",
"price": "90.00",
"product_id": "16060895302856191591063144",
"require_shipping": true,
"sku": "S0000001",
"taxable": true,
"title": "S · White",
"weight": "0.50",
"weight_unit": "kg"
},
{
"barcode": "B0000000001",
"compare_at_price": "120.00",
"id": "18060895302863070249833144",
"image": {
"alt": "Thisisaimagealt",
"id": "6089530275430875206",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
"inventory_item_id": "6089530288991379430",
"inventory_policy": "deny",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "XL",
"option2": "White",
"price": "100.00",
"product_id": "16060895302856191591063144",
"require_shipping": true,
"sku": "S00000000102",
"taxable": true,
"title": "XL · White",
"weight": "50.00",
"weight_unit": "g"
},
{
"barcode": "B0000000001",
"compare_at_price": "120.00",
"id": "18060895302863070249893144",
"image": {
"alt": "Thisisaimagealt",
"id": "6089530275430875206",
"src": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
"inventory_item_id": "6089530288991379428",
"inventory_policy": "deny",
"inventory_quantity": 0,
"inventory_tracker": true,
"option1": "XXL",
"option2": "White",
"price": "100.00",
"product_id": "16060895302856191591063144",
"require_shipping": true,
"sku": "S00000000103",
"taxable": true,
"title": "XXL · White",
"weight": "50.00",
"weight_unit": "g"
}
],
"vendor": "Shopline"
}
}
Was this article helpful to you?